<?php


class main_controller extends controller{

    
    function _get_loged(){
        if (!isset($_SESSION['LOGIN'])){
            $this->setCss( array("init.css", "disponibilidad.css") );
            $this->setJs( array("init.js") );
            $datax['main'] = $this->view("login", array(""),"main_menu");
            $datax['titulo']= "Login";
            $this->render($datax);
            die();
        }
    }
    
    function x_login(){
        $user = $_POST['usuario'];
        $pass = $_POST['password'];
        $ret = $this->mod->login($user, $pass);
        if ($ret){
            $_SESSION['LOGIN'] = 1;
            $_SESSION['USUARIO'] = $ret[0];
        }
        echo $ret ? "1" : "0" ;
    }    
    
    function get_fecha(){
        $dias = array(
            "Domingo", 
            "Lunes", 
            "Martes", 
            "Miercoles", 
            "Jueves", 
            "Viernes", 
            "Sabado");
        
        $meses = array(
            "Enero",
            "Febrero",
            "Marzo",
            "Abril",
            "Mayo",
            "Junio",
            "Julio",
            "Agosto",
            "Septiembre",
            "Octubre",
            "Noviembre",
            "Diciembre"
        );
        
        $dia_semana = $dias[date("w")];
        $mes = $meses[date("n")-1];
        $fecha = $dia_semana.", ".date("d")." de ".$mes." del ".date("Y");
        return $fecha;
    }
    
    function _obtener_login(){
        $datax = array();
        return  $this->view("login", $datax);
    }

    
    
}
?>
